## javax.servlet.annotation
Annotation Type WebInitParam

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    @Documented
    public @interface WebInitParam

This annotation is used on a Servlet or Filter implementation class to specify an initialization parameter.

Since:
  Servlet 3.0

Required Element Summary
`java.lang.String` `name` Name of the initialization parameter
`java.lang.String` `value` Value of the initialization parameter

Optional Element Summary
`java.lang.String` `description` Description of the initialization parameter

Element Detail

### name

    public abstract java.lang.String name

  Name of the initialization parameter

### value

    public abstract java.lang.String value

  Value of the initialization parameter

### description

    public abstract java.lang.String description

  Description of the initialization parameter

  Default:
    ""

Copyright © 2012 GlassFish Community. All Rights Reserved.